<?xml version="1.0"?><Report xmlns="http://schemas.microsoft.com/sqlserver/reporting/2005/01/reportdefinition" xmlns:rd="http://schemas.microsoft.com/SQLServer/reporting/reportdesigner"><DataSources><DataSource Name="Adventure_Works_Cycle_MSCRM"><ConnectionProperties><IntegratedSecurity>true</IntegratedSecurity><ConnectString>data source=localhost;initial catalog=Adventure_Works_Cycle_MSCRM</ConnectString><DataProvider>SQL</DataProvider></ConnectionProperties><rd:DataSourceID>1703ef44-7af3-48fa-be3b-883891496adb</rd:DataSourceID></DataSource></DataSources><BottomMargin>0.5in</BottomMargin><RightMargin>0.5in</RightMargin><ReportParameters><ReportParameter Name="ByObject"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>Orders</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>Display</Prompt><ValidValues><ParameterValues><ParameterValue><Value>Orders</Value><Label>Orders</Label></ParameterValue><ParameterValue><Value>Opportunities</Value><Label>Opportunities</Label></ParameterValue></ParameterValues></ValidValues></ReportParameter><ReportParameter Name="ByTypeOrName"><DataType>String</DataType><DefaultValue><Values><Value>ProductName</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>Group By</Prompt><ValidValues><ParameterValues><ParameterValue><Value>ProductType</Value><Label>Type</Label></ParameterValue><ParameterValue><Value>ProductName</Value><Label>Name</Label></ParameterValue></ParameterValues></ValidValues></ReportParameter><ReportParameter Name="CRM_FilterText"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_FilterText</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FullName"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><DataSetReference><DataSetName>UserInfo</DataSetName><ValueField>fullname</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_FullName</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_URL"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_URL</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FilteredAccount"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>select  [account0].*  from  FilteredAccount as "account0"</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_FilteredAccount</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_CalendarType"><DataType>String</DataType><DefaultValue><DataSetReference><DataSetName>Formats</DataSetName><ValueField>CalendarType</ValueField></DataSetReference></DefaultValue><Prompt>CRM_CalendarType</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_NumberLanguageCode"><DataType>String</DataType><DefaultValue><DataSetReference><DataSetName>Formats</DataSetName><ValueField>NumberLanguageCode</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_NumberLanguageCode</Prompt><Hidden>true</Hidden></ReportParameter></ReportParameters><rd:DrawGrid>true</rd:DrawGrid><InteractiveWidth>8.5in</InteractiveWidth><rd:GridSpacing>0.03125in</rd:GridSpacing><rd:SnapToGrid>true</rd:SnapToGrid><Body><ReportItems><Textbox Name="txtShowAllOppProdByType"><Left>3.46875in</Left><Top>4.875in</Top><ZIndex>9</ZIndex><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_ShowAll"><Value>showall</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>oppprodbytype</Value></Parameter><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter></Parameters></Drillthrough></Action><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductType" and Parameters!ByObject.Value = "Opportunities" , False,True)</Hidden></Visibility><Width>0.625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>Blue</Color><TextDecoration>Underline</TextDecoration><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.2in</Height><Value>Show All</Value></Textbox><Textbox Name="txtShowAllOppProdByName"><Left>3.46875in</Left><Top>4.875in</Top><ZIndex>8</ZIndex><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_ShowAll"><Value>showall</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>oppprodbyname</Value></Parameter><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter></Parameters></Drillthrough></Action><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductName" and Parameters!ByObject.Value = "Opportunities" , False,True)</Hidden></Visibility><Width>0.625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>Blue</Color><TextDecoration>Underline</TextDecoration><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.2in</Height><Value>Show All</Value></Textbox><Textbox Name="txtShowAllOrderProdByType"><Left>3.46875in</Left><Top>4.875in</Top><ZIndex>7</ZIndex><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_ShowAll"><Value>showall</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>orderprodbytype</Value></Parameter><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter></Parameters></Drillthrough></Action><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductType" and Parameters!ByObject.Value = "Orders" , False,True)</Hidden></Visibility><Width>0.625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>Blue</Color><TextDecoration>Underline</TextDecoration><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.2in</Height><Value>Show All</Value></Textbox><Textbox Name="txtShowAllOrderProdByName"><Left>3.46875in</Left><Top>4.875in</Top><ZIndex>6</ZIndex><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_ShowAll"><Value>showall</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>orderprodbyname</Value></Parameter><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter></Parameters></Drillthrough></Action><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductName" and Parameters!ByObject.Value = "Orders", False,True)</Hidden></Visibility><Width>0.625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>Blue</Color><TextDecoration>Underline</TextDecoration><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.2in</Height><Value>Show All</Value></Textbox><Chart Name="Chart_OrderProductsByName"><Legend><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style><Position>RightCenter</Position><Layout>Row</Layout></Legend><Subtype>Plain</Subtype><Title><Caption>Products by Name: Orders</Caption><Style><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight></Style></Title><NoRows>=ReportItems!txtNoData.Value</NoRows><Height>3.375in</Height><CategoryAxis><Axis><Title /><MajorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Visible>true</Visible></Axis></CategoryAxis><PointWidth>0</PointWidth><Left>0.03125in</Left><ThreeDProperties><Enabled>true</Enabled><Rotation>30</Rotation><Inclination>30</Inclination><Shading>Simple</Shading><WallThickness>50</WallThickness></ThreeDProperties><DataSetName>DSOrdersProductByName</DataSetName><SeriesGroupings><SeriesGrouping><StaticSeries><StaticMember><Label>OrderProductsByName</Label></StaticMember></StaticSeries></SeriesGrouping></SeriesGroupings><Top>1.375in</Top><PlotArea><Style><BorderStyle><Default>Solid</Default></BorderStyle><BorderWidth><Default>0.25pt</Default></BorderWidth><BackgroundColor>White</BackgroundColor></Style></PlotArea><ValueAxis><Axis><Title /><MajorGridLines><ShowGridLines>true</ShowGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Margin>true</Margin><Visible>true</Visible><Scalar>true</Scalar></Axis></ValueAxis><ZIndex>5</ZIndex><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductName" and Parameters!ByObject.Value = "Orders", False,True)</Hidden></Visibility><Type>Doughnut</Type><Width>7.25in</Width><CategoryGroupings><CategoryGrouping><DynamicCategories><Grouping Name="Chart_OrderProductsByName_CategoryGroup1"><GroupExpressions><GroupExpression>=Fields!ProductID.Value</GroupExpression></GroupExpressions></Grouping><Label /></DynamicCategories></CategoryGrouping></CategoryGroupings><Palette>Pastel</Palette><ChartData><ChartSeries><DataPoints><DataPoint><DataValues><DataValue><Value>=First(Fields!Quantity.Value)</Value></DataValue></DataValues><DataLabel><Style><FontFamily>tahoma</FontFamily><Format>p0</Format></Style><Value>=round((round(Fields!Quantity.Value/Sum(Fields!Quantity.Value, "DSOrdersProductByName"),2) * 100),0) &amp; "%: " &amp; IIF(Fields!ProductName.Value = "_CRM_NOTSPECIFIED", ReportItems!txtNotSpecified.Value, IIF(Fields!ProductName.Value = "_CRM_OTHER", ReportItems!txtother.Value,Fields!ProductName.Value))</Value><Position>TopLeft</Position><Visible>true</Visible></DataLabel><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter><Parameter Name="CRM_FilterList"><Value>=Fields!ProductID.Value.ToString()</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>orderprodbyname</Value></Parameter><Parameter Name="CRM_ShowAll"><Value>notshowall</Value></Parameter></Parameters></Drillthrough></Action><Style /><Marker><Size>6pt</Size></Marker></DataPoint></DataPoints></ChartSeries></ChartData><Style><BackgroundColor>White</BackgroundColor></Style></Chart><Chart Name="Chart_OpportunityProductsByName"><Legend><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style><Position>RightCenter</Position><Layout>Row</Layout></Legend><Subtype>Plain</Subtype><Title><Caption>Products by Name: Opportunities</Caption><Style><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight></Style></Title><NoRows>=ReportItems!txtNoData.Value</NoRows><Height>3.34375in</Height><CategoryAxis><Axis><Title /><MajorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Visible>true</Visible></Axis></CategoryAxis><PointWidth>0</PointWidth><ThreeDProperties><Enabled>true</Enabled><Rotation>30</Rotation><Inclination>30</Inclination><Shading>Simple</Shading><WallThickness>50</WallThickness></ThreeDProperties><DataSetName>DSOppProductByName</DataSetName><SeriesGroupings><SeriesGrouping><StaticSeries><StaticMember><Label>OppProductsByName</Label></StaticMember></StaticSeries></SeriesGrouping></SeriesGroupings><Top>1.34375in</Top><PlotArea><Style><BorderStyle><Default>Solid</Default></BorderStyle><BorderWidth><Default>0.25pt</Default></BorderWidth><BackgroundColor>White</BackgroundColor></Style></PlotArea><ValueAxis><Axis><Title /><MajorGridLines><ShowGridLines>true</ShowGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Margin>true</Margin><Visible>true</Visible><Scalar>true</Scalar></Axis></ValueAxis><ZIndex>4</ZIndex><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductName" and Parameters!ByObject.Value = "Opportunities", False,True)</Hidden></Visibility><Type>Doughnut</Type><Width>7.25in</Width><CategoryGroupings><CategoryGrouping><DynamicCategories><Grouping Name="Chart_OpportunityProductsByName_CategoryGroup1"><GroupExpressions><GroupExpression>=Fields!ProductID.Value</GroupExpression></GroupExpressions></Grouping><Label /></DynamicCategories></CategoryGrouping></CategoryGroupings><Palette>Pastel</Palette><ChartData><ChartSeries><DataPoints><DataPoint><DataValues><DataValue><Value>=First(Fields!Quantity.Value)</Value></DataValue></DataValues><DataLabel><Style><FontFamily>tahoma</FontFamily><Format>p0</Format></Style><Value>=round((round(Fields!Quantity.Value/Sum(Fields!Quantity.Value, "DSOppProductByName"),2) * 100),0) &amp; "%: " &amp; IIF(Fields!ProductName.Value = "_CRM_NOTSPECIFIED", ReportItems!txtNotSpecified.Value, IIF(Fields!ProductName.Value = "_CRM_OTHER", ReportItems!txtother.Value, Fields!ProductName.Value))</Value><Position>TopLeft</Position><Visible>true</Visible></DataLabel><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter><Parameter Name="CRM_FilterList"><Value>=Fields!ProductID.Value.tostring()</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>oppprodbyname</Value></Parameter><Parameter Name="CRM_ShowAll"><Value>notshowall</Value></Parameter></Parameters></Drillthrough></Action><Style /><Marker><Size>6pt</Size></Marker></DataPoint></DataPoints></ChartSeries></ChartData><Style><BackgroundColor>White</BackgroundColor></Style></Chart><Chart Name="Chart_OpportunityProductsByType"><Legend><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style><Position>RightCenter</Position><Layout>Row</Layout></Legend><Subtype>Plain</Subtype><Title><Caption>Products by Type: Opportunities</Caption><Style><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight></Style></Title><NoRows>=ReportItems!txtNoData.Value</NoRows><Height>3.34375in</Height><CategoryAxis><Axis><Title /><MajorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Visible>true</Visible></Axis></CategoryAxis><PointWidth>0</PointWidth><ThreeDProperties><Enabled>true</Enabled><Rotation>30</Rotation><Inclination>30</Inclination><Shading>Simple</Shading><WallThickness>50</WallThickness></ThreeDProperties><DataSetName>DSOppProductByType</DataSetName><SeriesGroupings><SeriesGrouping><StaticSeries><StaticMember><Label>OppProductsByType</Label></StaticMember></StaticSeries></SeriesGrouping></SeriesGroupings><Top>1.34375in</Top><PlotArea><Style><BorderStyle><Default>Solid</Default></BorderStyle><BorderWidth><Default>0.25pt</Default></BorderWidth><BackgroundColor>White</BackgroundColor></Style></PlotArea><ValueAxis><Axis><Title /><MajorGridLines><ShowGridLines>true</ShowGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Margin>true</Margin><Visible>true</Visible><Scalar>true</Scalar></Axis></ValueAxis><ZIndex>3</ZIndex><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductType" and Parameters!ByObject.Value = "Opportunities", False,True)</Hidden></Visibility><Type>Doughnut</Type><Width>7.28125in</Width><CategoryGroupings><CategoryGrouping><DynamicCategories><Grouping Name="Chart_OpportunityProductsByType_CategoryGroup1"><GroupExpressions><GroupExpression>=Fields!ProductType.Value.ToString()</GroupExpression></GroupExpressions></Grouping><Label /></DynamicCategories></CategoryGrouping></CategoryGroupings><Palette>Pastel</Palette><ChartData><ChartSeries><DataPoints><DataPoint><DataValues><DataValue><Value>=First(Fields!Quantity.Value)</Value></DataValue></DataValues><DataLabel><Style><FontFamily>tahoma</FontFamily><Format>p0</Format></Style><Value>=round((round(Fields!Quantity.Value/Sum(Fields!Quantity.Value, "DSOppProductByType"),2) * 100),0) &amp; "%: " &amp; IIF(Fields!ProductTypeName.Value = "_CRM_NOTSPECIFIED", ReportItems!txtNotSpecified.Value, IIF(Fields!ProductTypeName.Value = "_CRM_OTHER", ReportItems!txtother.Value, Fields!ProductTypeName.Value))</Value><Position>TopLeft</Position><Visible>true</Visible></DataLabel><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter><Parameter Name="CRM_FilterList"><Value>=Fields!ProductType.Value</Value></Parameter><Parameter Name="CRM_FilterText"><Value>=  Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>oppprodbytype</Value></Parameter><Parameter Name="CRM_ShowAll"><Value>notshowall</Value></Parameter></Parameters></Drillthrough></Action><Style /><Marker><Size>6pt</Size></Marker></DataPoint></DataPoints></ChartSeries></ChartData><Style><BackgroundColor>White</BackgroundColor></Style></Chart><Rectangle Name="rectangle1"><ReportItems><Textbox Name="txtReportHeaderLabel"><Top>0.09375in</Top><ZIndex>5</ZIndex><Width>6.65625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>12pt</FontSize><BorderColor><Default>DimGray</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.28125in</Height><Value>=String.Format("Products by {0}", Parameters!ByTypeOrName.Label) &amp; ": " &amp; Parameters!ByObject.Label</Value></Textbox><Textbox Name="txtfullname"><Left>0.78125in</Left><Top>0.4375in</Top><ZIndex>4</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>1.625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontSize>8pt</FontSize><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.1875in</Height><Value>=First(Fields!fullname.Value, "UserInfo")</Value></Textbox><Textbox Name="txtother"><Left>3.6875in</Left><Top>0.46875in</Top><ZIndex>3</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>0.40625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.1875in</Height><Value>Other</Value></Textbox><Textbox Name="txtNotSpecified"><Left>4.375in</Left><Top>0.46875in</Top><ZIndex>2</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>1in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.125in</Height><Value>Not Specified</Value></Textbox><Textbox Name="txtDateTimeFormat"><Left>2.6875in</Left><Top>0.46875in</Top><ZIndex>1</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>0.84375in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontSize>8pt</FontSize><Calendar>=Parameters!CRM_CalendarType.Value</Calendar><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.1875in</Height><Value>=First(Fields!dateformatstring.Value, "Formats") &amp; " " &amp; First(Fields!timeformatstring.Value, "Formats")</Value></Textbox><Textbox Name="txtNoData"><Left>5.625in</Left><Top>0.5in</Top><Visibility><Hidden>true</Hidden></Visibility><Width>0.71875in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.15625in</Height><Value>No Data</Value></Textbox></ReportItems><Top>0.03125in</Top><ZIndex>2</ZIndex><Style><BackgroundColor>#deddcf</BackgroundColor></Style><Height>0.71875in</Height></Rectangle><Chart Name="Chart_OrderProductsByType"><Legend><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style><Position>RightCenter</Position><Layout>Row</Layout></Legend><Subtype>Plain</Subtype><Title><Caption>Products by Type: Orders</Caption><Style><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight></Style></Title><NoRows>=ReportItems!txtNoData.Value</NoRows><Height>3.34375in</Height><CategoryAxis><Axis><Title /><MajorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Visible>true</Visible></Axis></CategoryAxis><PointWidth>0</PointWidth><ThreeDProperties><Enabled>true</Enabled><Rotation>30</Rotation><Inclination>30</Inclination><Shading>Simple</Shading><WallThickness>50</WallThickness></ThreeDProperties><DataSetName>DSOrdersProductByType</DataSetName><SeriesGroupings><SeriesGrouping><StaticSeries><StaticMember><Label>OrderProductsByType</Label></StaticMember></StaticSeries></SeriesGrouping></SeriesGroupings><Top>1.34375in</Top><PlotArea><Style><BorderStyle><Default>Solid</Default></BorderStyle><BorderWidth><Default>0.25pt</Default></BorderWidth><BackgroundColor>White</BackgroundColor></Style></PlotArea><ValueAxis><Axis><Title /><MajorGridLines><ShowGridLines>true</ShowGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MajorGridLines><MinorGridLines><Style><BorderStyle><Default>Solid</Default></BorderStyle></Style></MinorGridLines><MajorTickMarks>Outside</MajorTickMarks><Min>0</Min><Margin>true</Margin><Visible>true</Visible><Scalar>true</Scalar></Axis></ValueAxis><ZIndex>1</ZIndex><Visibility><Hidden>=IIF( Parameters!ByTypeOrName.Value = "ProductType" and Parameters!ByObject.Value = "Orders" , False,True)</Hidden></Visibility><Type>Doughnut</Type><Width>7.28125in</Width><CategoryGroupings><CategoryGrouping><DynamicCategories><Grouping Name="Chart_OrderProductsByType_CategoryGroup1"><GroupExpressions><GroupExpression>=Fields!ProductType.Value.ToString()</GroupExpression></GroupExpressions></Grouping><Label /></DynamicCategories></CategoryGrouping></CategoryGroupings><Palette>Pastel</Palette><ChartData><ChartSeries><DataPoints><DataPoint><DataValues><DataValue><Value>=First(Fields!Quantity.Value)</Value></DataValue></DataValues><DataLabel><Style><FontFamily>tahoma</FontFamily></Style><Value>=round((round(Fields!Quantity.Value/Sum(Fields!Quantity.Value, "DSOrdersProductByType"),2) * 100),0) &amp; "%: " &amp; IIF(Fields!ProductTypeName.Value = "_CRM_NOTSPECIFIED", ReportItems!txtNotSpecified.Value, IIF(Fields!ProductTypeName.Value = "_CRM_OTHER", ReportItems!txtother.Value,  Fields!ProductTypeName.Value))</Value><Position>TopLeft</Position><Visible>true</Visible></DataLabel><Action><Drillthrough><ReportName>Products By Account Detail</ReportName><Parameters><Parameter Name="CRM_FilteredAccount"><Value>= Parameters!CRM_FilteredAccount.Value</Value></Parameter><Parameter Name="CRM_FilterList"><Value>=Fields!ProductType.Value</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>=Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_DrillDown"><Value>orderprodbytype</Value></Parameter><Parameter Name="CRM_ShowAll"><Value>notshowall</Value></Parameter></Parameters></Drillthrough></Action><Style /><Marker><Size>6pt</Size></Marker></DataPoint></DataPoints></ChartSeries></ChartData><Style><BackgroundColor>White</BackgroundColor></Style></Chart><Rectangle Name="rectangle4"><ReportItems><Textbox Name="txtFilterSummaryValue"><Left>0.125in</Left><Top>0.34375in</Top><ZIndex>1</ZIndex><Visibility><ToggleItem>txtFilterSummary</ToggleItem><Hidden>true</Hidden></Visibility><Width>3.53125in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#313336</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Parameters!CRM_FilterText.Value</Value></Textbox><Textbox Name="txtFilterSummary"><Left>0.125in</Left><Width>3.53125in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>12pt</FontSize><Color>#313336</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.25in</Height><Value>Filter Summary</Value></Textbox></ReportItems><Top>0.71875in</Top><Visibility><Hidden>=IIF(IsNothing(Parameters!CRM_FilterText.Value ) or ( Parameters!CRM_FilterText.Value ) = "" or (Parameters!CRM_FilterText.Value) = " ",True,False)</Hidden></Visibility><Style><BackgroundColor>#deddcf</BackgroundColor></Style><Height>0.59375in</Height></Rectangle></ReportItems><Height>5.1875in</Height></Body><rd:ReportID>00434d91-2256-48b0-b4f0-5002e5c72b75</rd:ReportID><LeftMargin>0.5in</LeftMargin><DataSets><DataSet Name="Formats"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>
          SELECT DateFormat, TimeFormat, NumberLanguageCode, CalendarType
          FROM dbo.fn_GetFormatStrings()
        </CommandText><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="dateformatstring"><rd:TypeName>System.String</rd:TypeName><DataField>DateFormat</DataField></Field><Field Name="timeformatstring"><rd:TypeName>System.String</rd:TypeName><DataField>TimeFormat</DataField></Field><Field Name="NumberLanguageCode"><rd:TypeName>System.String</rd:TypeName><DataField>NumberLanguageCode</DataField></Field><Field Name="CalendarType"><rd:TypeName>System.String</rd:TypeName><DataField>CalendarType</DataField></Field></Fields></DataSet><DataSet Name="UserInfo"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>select fullname from FilteredSystemUser where systemuserid = dbo.fn_FindUserGuid()</CommandText><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="fullname"><rd:TypeName>System.String</rd:TypeName><DataField>fullname</DataField></Field></Fields></DataSet><DataSet Name="DSOrdersProductByType"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Declare @SQL nVarchar(max)
if  (@ByObject = 'Orders') and (@ByTypeOrName = 'ProductType' ) 
begin
Set @SQL = '
CREATE TABLE #UoMBaseTemp (
	[UoMId] [uniqueidentifier] PRIMARY KEY CLUSTERED,
	[BaseUoM] [uniqueidentifier] NULL ,
	[Quantity] [decimal](18, 5) NULL ,
	[IsScheduleBaseUoM] [bit] NULL DEFAULT (0),
	[BaseName] [nVarchar](100) NULL 
)

insert into #UoMBaseTemp
select distinct fu.uomid, null, null, null, null
from FilteredProduct fp INNER JOIN FilteredUoMSchedule fus on fp.defaultuomscheduleid = fus.uomscheduleid
inner join FilteredUoM fu on fu.uomscheduleid = fus.uomscheduleid

exec p_UoMToBase

Declare @Temp1 table (ProductType int, ProductTypeName nVarchar(max), Quantity int)

Insert into @Temp1 
SELECT  IsNull(fp.producttypecode, -2) as producttypecode,  
  	isnull(fp.producttypecodename,''_CRM_NOTSPECIFIED'') as producttypecodename,
	IsNull(SUM(fsod.quantity * ub.Quantity), SUM(fsod.quantity)) as Quantity

FROM	FilteredSalesOrderDetail fsod INNER JOIN
	FilteredSalesOrder fso ON fsod.salesorderid = fso.salesorderid INNER JOIN
	(' + @CRM_FilteredAccount + ') acct ON (fso.customerid = acct.accountid AND fso.customeridtype = 1) LEFT JOIN
	#UoMBaseTemp ub ON ub.UoMId = fsod.uomid LEFT JOIN
	FilteredProduct fp on fsod.productid = fp.productid
	
where fsod.salesorderstatecode != 2
GROUP BY fp.producttypecode, fp.producttypecodename

Declare @total int
set @total = (select SUM(Quantity) from @Temp1)

Declare @Top15 table (ProductType int, ProductTypeName nVarchar(max), Quantity int)
Insert Into @Top15 
Select Top 15 ProductType,ProductTypeName,Quantity 
From @Temp1 
Order by Quantity desc, ProductTypeName asc

SELECT * FROM (
select ProductType, ProductTypeName, Quantity from @Top15
Union All
select -1 as ProductType, ''_CRM_OTHER'' as ProductTypeName,@total-(select Sum(Quantity) from @Top15)
) AS QQ
WHERE Quantity &lt;&gt; 0

drop table #UoMBaseTemp
 	
'
end
else
begin
Set @SQL = 
'SELECT -1 as ProductType, QuoteName('''') as ProductTypeName,
	0 as Quantity '
end

Execute (@SQL)</CommandText><QueryParameters><QueryParameter Name="@ByObject"><Value>=Parameters!ByObject.Value</Value></QueryParameter><QueryParameter Name="@ByTypeOrName"><Value>=Parameters!ByTypeOrName.Value</Value></QueryParameter><QueryParameter Name="@CRM_FilteredAccount"><Value>=Parameters!CRM_FilteredAccount.Value</Value></QueryParameter></QueryParameters><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="ProductType"><rd:TypeName>System.Int32</rd:TypeName><DataField>ProductType</DataField></Field><Field Name="ProductTypeName"><rd:TypeName>System.String</rd:TypeName><DataField>ProductTypeName</DataField></Field><Field Name="Quantity"><rd:TypeName>System.Int32</rd:TypeName><DataField>Quantity</DataField></Field></Fields></DataSet><DataSet Name="DSOrdersProductByName"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Declare @SQL nVarchar(max)
if  (@ByObject = 'Orders') and (@ByTypeOrName = 'ProductName' )  
begin
Set @SQL = '
CREATE TABLE #UoMBaseTemp (
	[UoMId] [uniqueidentifier] PRIMARY KEY CLUSTERED,
	[BaseUoM] [uniqueidentifier] NULL ,
	[Quantity] [decimal](18, 5) NULL ,
	[IsScheduleBaseUoM] [bit] NULL DEFAULT (0),
	[BaseName] [nVarchar](100) NULL 
)

insert into #UoMBaseTemp
select distinct fu.uomid, null, null, null, null
from FilteredProduct fp INNER JOIN FilteredUoMSchedule fus on fp.defaultuomscheduleid = fus.uomscheduleid
inner join FilteredUoM fu on fu.uomscheduleid = fus.uomscheduleid

exec p_UoMToBase

Declare @Temp1 table (ProductID nVarchar(max), ProductName nVarchar(max), Quantity int)

Insert into @Temp1 
SELECT  (Case fsod.isproductoverridden 
        when ''True'' Then fsod.productdescription
        Else cast(fsod.productid as nVarchar(50)) End) as productid, 
    IsNull(fsod.productdescription, isnull(fp.name,''_CRM_NOTSPECIFIED'')) as ProductName,
    IsNull(SUM(fsod.quantity * ub.Quantity), SUM(fsod.quantity)) as Quantity

FROM	
	FilteredSalesOrderDetail fsod INNER JOIN
	FilteredSalesOrder fso ON fsod.salesorderid = fso.salesorderid INNER JOIN
	(' + @CRM_FilteredAccount + ') acct ON (fso.customerid = acct.accountid AND fso.customeridtype = 1) LEFT JOIN
	#UoMBaseTemp ub ON ub.UoMId = fsod.uomid LEFT JOIN
	FilteredProduct fp on fsod.productid = fp.productid
	
where fsod.salesorderstatecode != 2
GROUP BY (Case fsod.isproductoverridden 
        when ''True'' Then fsod.productdescription
        Else cast(fsod.productid as nVarchar(50)) End), 
    IsNull(fsod.productdescription, isnull(fp.name,''_CRM_NOTSPECIFIED''))

Declare @total int
set @total = (select SUM(Quantity) from @Temp1)

Declare @Top15 table (ProductID nVarchar(max), ProductName nVarchar(max), Quantity int)
Insert Into @Top15 
Select Top 15 ProductID,ProductName,Quantity 
From @Temp1 
Order by Quantity desc, ProductName asc

SELECT * FROM (
select ProductID, ProductName, Quantity from @Top15
Union All
select ''_CRM_OTHER'' as ProductID, ''_CRM_OTHER'' as ProductName,@total-(select Sum(Quantity) from @Top15)
) AS QQ
WHERE Quantity &lt;&gt; 0

drop table #UoMBaseTemp
 	
'
end
else
begin
Set @SQL = 
'SELECT  QuoteName(''-1'') as ProductID, QuoteName('''') as ProductName,
	0 as Quantity  '
end

Execute (@SQL)</CommandText><QueryParameters><QueryParameter Name="@ByObject"><Value>=Parameters!ByObject.Value</Value></QueryParameter><QueryParameter Name="@ByTypeOrName"><Value>=Parameters!ByTypeOrName.Value</Value></QueryParameter><QueryParameter Name="@CRM_FilteredAccount"><Value>=Parameters!CRM_FilteredAccount.Value</Value></QueryParameter></QueryParameters><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="ProductID"><rd:TypeName>System.String</rd:TypeName><DataField>ProductID</DataField></Field><Field Name="ProductName"><rd:TypeName>System.String</rd:TypeName><DataField>ProductName</DataField></Field><Field Name="Quantity"><rd:TypeName>System.Int32</rd:TypeName><DataField>Quantity</DataField></Field></Fields></DataSet><DataSet Name="DSOppProductByName"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Declare @SQL nVarchar(max)
if  (@ByObject = 'Opportunities') and (@ByTypeOrName = 'ProductName' )  
begin
Set @SQL = '
CREATE TABLE #UoMBaseTemp (
	[UoMId] [uniqueidentifier] PRIMARY KEY CLUSTERED,
	[BaseUoM] [uniqueidentifier] NULL ,
	[Quantity] [decimal](18, 5) NULL ,
	[IsScheduleBaseUoM] [bit] NULL DEFAULT (0),
	[BaseName] [nVarchar](100) NULL 
)

insert into #UoMBaseTemp
select distinct fu.uomid, null, null, null, null
from FilteredProduct fp INNER JOIN FilteredUoMSchedule fus on fp.defaultuomscheduleid = fus.uomscheduleid
inner join FilteredUoM fu on fu.uomscheduleid = fus.uomscheduleid

exec p_UoMToBase

Declare @Temp1 table (ProductID nVarchar(max), ProductName nVarchar(max), Quantity int)

Insert into @Temp1 
SELECT  cast(fp.productid as nVarchar(50)), 
  	isnull(fp.name,''_CRM_NOTSPECIFIED'') as ProductName,
	SUM(fop.quantity * ub.Quantity) as Quantity

FROM	FilteredProduct fp INNER JOIN 
	FilteredOpportunityProduct fop ON fop.productid = fp.productid INNER JOIN 
	FilteredOpportunity fo ON fop.opportunityid = fo.opportunityid INNER JOIN 
	(' + @CRM_FilteredAccount + ') acct ON (fo.customerid = acct.accountid and fo.customeridtype = 1) INNER JOIN
	#UoMBaseTemp ub ON ub.UoMId = fop.uomid
	
where fop.opportunitystatecode != 2
GROUP BY fp.productid, fp.name

Declare @total int
set @total = (select SUM(Quantity) from @Temp1)

Declare @Top15 table (ProductID nVarchar(max), ProductName nVarchar(max), Quantity int)
Insert Into @Top15 
Select Top 15 ProductID,ProductName,Quantity 
From @Temp1 
Order by Quantity desc, ProductName asc

SELECT * FROM (
select ProductID, ProductName, Quantity from @Top15
Union All
select ''_CRM_OTHER'' as ProductID, ''_CRM_OTHER'' as ProductName,@total-(select Sum(Quantity) from @Top15)
) AS QQ
WHERE Quantity &lt;&gt; 0

drop table #UoMBaseTemp
 	
'
end
else
begin
Set @SQL = 
'SELECT  QuoteName(''-1'') as ProductID, QuoteName('''') as ProductName,
	0 as Quantity  '
end

Execute (@SQL)</CommandText><QueryParameters><QueryParameter Name="@ByObject"><Value>=Parameters!ByObject.Value</Value></QueryParameter><QueryParameter Name="@ByTypeOrName"><Value>=Parameters!ByTypeOrName.Value</Value></QueryParameter><QueryParameter Name="@CRM_FilteredAccount"><Value>=Parameters!CRM_FilteredAccount.Value</Value></QueryParameter></QueryParameters><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="ProductID"><rd:TypeName>System.String</rd:TypeName><DataField>ProductID</DataField></Field><Field Name="ProductName"><rd:TypeName>System.String</rd:TypeName><DataField>ProductName</DataField></Field><Field Name="Quantity"><rd:TypeName>System.Int32</rd:TypeName><DataField>Quantity</DataField></Field></Fields></DataSet><DataSet Name="DSOppProductByType"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Declare @SQL nVarchar(max)
if  (@ByObject = 'Opportunities') and (@ByTypeOrName = 'ProductType' ) 
begin
Set @SQL = '
CREATE TABLE #UoMBaseTemp (
	[UoMId] [uniqueidentifier] PRIMARY KEY CLUSTERED,
	[BaseUoM] [uniqueidentifier] NULL ,
	[Quantity] [decimal](18, 5) NULL ,
	[IsScheduleBaseUoM] [bit] NULL DEFAULT (0),
	[BaseName] [nVarchar](100) NULL 
)

insert into #UoMBaseTemp
select distinct fu.uomid, null, null, null, null
from FilteredProduct fp INNER JOIN FilteredUoMSchedule fus on fp.defaultuomscheduleid = fus.uomscheduleid
inner join FilteredUoM fu on fu.uomscheduleid = fus.uomscheduleid

exec p_UoMToBase

Declare @Temp1 table (ProductType int, ProductTypeName nVarchar(max), Quantity int)

Insert into @Temp1 
SELECT   fp.producttypecode,  
  	isnull(fp.producttypecodename,''_CRM_NOTSPECIFIED'') as producttypecodename,
	SUM(fop.quantity * ub.Quantity) as Quantity

FROM	FilteredProduct fp INNER JOIN 
	FilteredOpportunityProduct fop ON fop.productid = fp.productid INNER JOIN 
	FilteredOpportunity fo ON fop.opportunityid = fo.opportunityid INNER JOIN 
	(' + @CRM_FilteredAccount + ') acct ON (fo.customerid = acct.accountid and fo.customeridtype = 1) INNER JOIN
	#UoMBaseTemp ub ON ub.UoMId = fop.uomid
	
where fop.opportunitystatecode != 2
GROUP BY fp.producttypecode, fp.producttypecodename

Declare @total int
set @total = (select SUM(Quantity) from @Temp1)

Declare @Top15 table (ProductType int, ProductTypeName nVarchar(max), Quantity int)
Insert Into @Top15 
Select Top 15 ProductType,ProductTypeName,Quantity 
From @Temp1 
Order by Quantity desc, ProductTypeName asc

SELECT * FROM (
select ProductType, ProductTypeName, Quantity from @Top15
Union All
select -1 as ProductType, ''_CRM_OTHER'' as ProductTypeName,@total-(select Sum(Quantity) from @Top15)
) AS QQ
WHERE Quantity &lt;&gt; 0

drop table #UoMBaseTemp
 	
'
end
else
begin
Set @SQL = 
'SELECT -1 as ProductType, QuoteName('''') as ProductTypeName,
	0 as Quantity '
end

Execute (@SQL)</CommandText><QueryParameters><QueryParameter Name="@ByObject"><Value>=Parameters!ByObject.Value</Value></QueryParameter><QueryParameter Name="@ByTypeOrName"><Value>=Parameters!ByTypeOrName.Value</Value></QueryParameter><QueryParameter Name="@CRM_FilteredAccount"><Value>=Parameters!CRM_FilteredAccount.Value</Value></QueryParameter></QueryParameters><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="ProductType"><rd:TypeName>System.Int32</rd:TypeName><DataField>ProductType</DataField></Field><Field Name="ProductTypeName"><rd:TypeName>System.String</rd:TypeName><DataField>ProductTypeName</DataField></Field><Field Name="Quantity"><rd:TypeName>System.Int32</rd:TypeName><DataField>Quantity</DataField></Field></Fields></DataSet><DataSet Name="DSUserSettings"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Select TimeZoneBias from FilteredUserSettings where systemuserid = dbo.fn_FindUserGuid()</CommandText><DataSourceName>Adventure_Works_Cycle_MSCRM</DataSourceName></Query><Fields><Field Name="TimeZoneBias"><rd:TypeName>System.Int32</rd:TypeName><DataField>TimeZoneBias</DataField></Field></Fields></DataSet></DataSets><Author>Microsoft</Author><Width>7.5in</Width><CustomProperties><CustomProperty><Name>Custom</Name><Value>&lt;MSCRM xmlns="mscrm"&gt;&amp;lt;ReportFilter&amp;gt;&amp;lt;ReportEntity paramname="CRM_FilteredAccount" displayname="Accounts"&amp;gt;&amp;lt;fetch version="1.0" output-format="xml-platform" mapping="logical" distinct="false"&amp;gt;&amp;lt;entity name="account"&amp;gt;&amp;lt;all-attributes /&amp;gt;&amp;lt;filter type="and"&amp;gt;&amp;lt;condition attribute="accountid" operator="eq"/&amp;gt;&amp;lt;/filter&amp;gt;&amp;lt;/entity&amp;gt;&amp;lt;/fetch&amp;gt;&amp;lt;/ReportEntity&amp;gt;&amp;lt;/ReportFilter&amp;gt;&lt;/MSCRM&gt;</Value></CustomProperty></CustomProperties><InteractiveHeight>11in</InteractiveHeight><Language>=Parameters!CRM_NumberLanguageCode.Value</Language><PageFooter><ReportItems><Textbox Name="txtPageCount"><Left>5.5in</Left><Top>0.09375in</Top><ZIndex>2</ZIndex><Width>1.8125in</Width><Style><TextAlign>Right</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>=String.Format("Page {0} of {1}", Format(Globals!PageNumber, "#,##0"), Format(Globals!TotalPages, "#,##0"))</Value></Textbox><Textbox Name="txtUserIDLabel"><Left>2.59375in</Left><Top>0.09375in</Top><ZIndex>1</ZIndex><Width>2.5in</Width><Style><TextAlign>Center</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>="Prepared by" &amp; ": " &amp; Parameters!CRM_FullName.Value</Value></Textbox><Textbox Name="txtExecutionDateTimeLabel"><Left>0.20315in</Left><Top>0.07813in</Top><Width>1.85935in</Width><Style><TextAlign>Left</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop><Format>=ReportItems!txtDateTimeFormat.Value</Format><Calendar>=Parameters!CRM_CalendarType.Value</Calendar></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>=Microsoft.Crm.Reporting.RdlHelper.DateTimeUtility.GetCurrentZoneTime(First(Fields!TimeZoneBias.Value,"DSUserSettings"))</Value></Textbox></ReportItems><Height>0.375in</Height><PrintOnLastPage>true</PrintOnLastPage><PrintOnFirstPage>true</PrintOnFirstPage><Style><BackgroundColor>#deddcf</BackgroundColor></Style></PageFooter><TopMargin>0.5in</TopMargin><CodeModules><CodeModule>Microsoft.Crm.Reporting.RdlHelper, Version=5.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35</CodeModule></CodeModules></Report>